Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM :: Distribution 6.2.1-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.services.task.impl
Class TaskDeadlinesServiceImpl.ScheduledTaskDeadline

    java.lang.Object
      org.jbpm.services.task.impl.TaskDeadlinesServiceImpl.ScheduledTaskDeadline

All Implemented Interfaces:
  Serializable, Callable<TaskDeadlinesServiceImpl.ScheduledTaskDeadline>

Enclosing class:
  TaskDeadlinesServiceImpl

    public static class TaskDeadlinesServiceImpl.ScheduledTaskDeadline

extends Object
implements Callable<TaskDeadlinesServiceImpl.ScheduledTaskDeadline>, Serializable

See Also:
  Serialized Form

Constructor Summary
`TaskDeadlinesServiceImpl.ScheduledTaskDeadline(long taskId, long deadlineId, org.kie.internal.task.api.TaskDeadlinesService.DeadlineType type)`

Method Summary
`TaskDeadlinesServiceImpl.ScheduledTaskDeadline` | `call()`
`boolean` | `equals(Object obj)`
`long` | `getDeadlineId()`
`long` | `getTaskId()`
`org.kie.internal.task.api.TaskDeadlinesService.DeadlineType` | `getType()`
`int` | `hashCode()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TaskDeadlinesServiceImpl.ScheduledTaskDeadline

    public TaskDeadlinesServiceImpl.ScheduledTaskDeadline(long taskId,
                                                          long deadlineId,
                                                          org.kie.internal.task.api.TaskDeadlinesService.DeadlineType type)

Method Detail

### getTaskId

    public long getTaskId()

### getDeadlineId

    public long getDeadlineId()

### getType

    public org.kie.internal.task.api.TaskDeadlinesService.DeadlineType getType()

### call

    public TaskDeadlinesServiceImpl.ScheduledTaskDeadline call()
                                                        throws Exception

  Specified by:
    `call` in interface `Callable<TaskDeadlinesServiceImpl.ScheduledTaskDeadline>`
  Throws:
    `Exception`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM :: Distribution 6.2.1-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2015 JBoss by Red Hat. All Rights Reserved.